Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class BindFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BindFactory

    class BindFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Version:
  \$Revision: 20648 \$

Since:
  Groovy 1.1

Field Summary
`static String` | `CONTEXT_DATA_KEY`

Property Summary
`Map` | `syntheticBindings`

Constructor Summary
`BindFactory()`

Method Summary
`def` | `bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)`
`TriggerBinding` | `getTriggerBinding(PropertyBinding psb)`
`boolean` | `isHandlesNodeChildren()`
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Accepted Properties...
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CONTEXT_DATA_KEY

    public static final String CONTEXT_DATA_KEY

Property Detail

### syntheticBindings

    final Map syntheticBindings

Constructor Detail

### BindFactory

    BindFactory()

Method Detail

### bindingAttributeDelegate

    def bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)

### getTriggerBinding

    TriggerBinding getTriggerBinding(PropertyBinding psb)

### isHandlesNodeChildren

    boolean isHandlesNodeChildren()

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

  Accepted Properties... group? source ((sourceProperty) | (sourceEvent sourceValue)) (target targetProperty)? (? use default javabeans property if targetProperty is not present?)
  throws:
    InstantiationException
  throws:
    IllegalAccessException
  Parameters:
    builder
    name
    value
    attributes
  Returns:
    the newly created instance

### onNodeChildren

    boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

Copyright © 2003-2010 The Codehaus. All rights reserved.